{
  "inbounds": [
    {
      "tag": "proxy-socks",
      "port": 22888,
      "listen": "127.0.0.1",
      "protocol": "socks",
      "sniffing": {
        "enabled": true,
        "destOverride": [
          "http",
          "tls"
        ],
        "routeOnly": false
      },
      "settings": {
        "auth": "password",
        "accounts": [
          {
            "user": "zeaslity",
            "pass": "lovemm.23"
          }
        ],
        "udp": true,
        "allowTransparent": false
      }
    },
    {
      "tag": "direct",
      "port": 22887,
      "listen": "0.0.0.0",
      "protocol": "socks",
      "sniffing": {
        "enabled": true,
        "destOverride": [
          "http",
          "tls"
        ],
        "routeOnly": false
      },
      "settings": {
        "auth": "password",
        "accounts": [
          {
            "user": "zeaslity",
            "pass": "lovemm.23"
          }
        ],
        "udp": true,
        "allowTransparent": false
      }
    }
  ],
  "outbounds": [
    {
      "tag": "proxy",
      "protocol": "trojan",
      "settings": {
        "servers": [
          {
            "address": "140.238.14.103",
            "method": "chacha20",
            "ota": false,
            "password": "V2ryStr0ngP0ss",
            "port": 443,
            "level": 1
          }
        ]
      },
      "streamSettings": {
        "network": "tcp",
        "security": "tls",
        "tlsSettings": {
          "allowInsecure": false,
          "serverName": "xx.s4.cc.hh.107421.xyz",
          "show": false
        }
      },
      "mux": {
        "enabled": false,
        "concurrency": -1
      }
    },
    {
      "tag": "direct",
      "protocol": "freedom",
      "settings": {}
    },
    {
      "tag": "block",
      "protocol": "blackhole",
      "settings": {
        "response": {
          "type": "http"
        }
      }
    }
  ],
  "dns": {
    "servers": [
      "1.1.1.1",
      "8.8.8.8"
    ]
  },
  "routing": {
    "domainStrategy": "IPIfNonMatch",
    "domainMatcher": "mph",
    "rules": [
      {
        "type": "field",
        "outboundTag": "proxy",
        "inboundTag": [
          "proxy-socks"
        ]
      },
      {
        "type": "field",
        "outboundTag": "direct",
        "inboundTag": [
          "direct"
        ]
      }
    ]
  }
}